# Command: searchifstream

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    searchifstream - searches SLI's search path for a file

Synopsis:

    string searchifstream -> istreamtype true
      -> false

Examples:

      (sli-init.sli) searchifstream opens sli-init.sli for reading
      since the path to system sli files is contained in SLISearchPath.

Description:

      searchifstream calls searchfile to open the file specified in
      string for reading. Searchfile will use the Search path mechanism,
      trying any path in SLISearchPath.
      If searchfile fails, operator tries to add .sli to the name.
      Returns a pointer to the stream for reading and true to
      indicate success if filename or filename.sli is a valid file,
      otherwise returns false.

Parameters:

      string is a filename with full path information or a file found
      within one of the Pathes specified in SLISearchPath.

Bugs:

Remarks:

    commented April 12, 1999
      Hehl
      SeeAlso:  ifstream, searchfile, LocateFileNames

References:

Author:

    Gewaltig, Diesmann

FirstVersion:

    1995

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative